Name:           perl-PPIx-Regexp
Version:        0.047
Release:        2%{?dist}
Summary:        Represent a regular expression of some sort
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PPIx-Regexp/
Source0:        http://search.cpan.org/CPAN/authors/id/W/WY/WYANT/PPIx-Regexp-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  perl
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(PPI::Document) >= 1.117
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Task::Weaken)
# Optional run-time:
BuildRequires:  perl(Encode)
# Tests:
BuildRequires:  perl(Test::More) >= 0.88
# YAML not used
# Optional tests:
BuildRequires:  perl(charnames)
# Data::Dumper not used
# Text::CSV is not used
BuildRequires:  perl(Time::HiRes)
# YAML not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Encode is optional.
Requires:       perl(Exporter)
Requires:       perl(PPI::Document) >= 1.117
Requires:       perl(Task::Weaken)

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(PPI::Document\\)$

%description
The purpose of the PPIx-Regexp package is to parse regular expressions in a
manner similar to the way the PPI package parses Perl. This class forms the
root of the parse tree, playing a role similar to PPI::Document.

%prep
%setup -q -n PPIx-Regexp-%{version}
chmod -x eg/*
sed -i \
    -e '1 s|^#!/usr/local/bin/perl|%(perl -MConfig -e "print \$Config{startperl}")|' \
    -e '1 s|^#!/usr/bin/env perl|%(perl -MConfig -e "print \$Config{startperl}")|' \
    eg/*

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSES
%doc Changes eg README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.047-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Petr Pisar <ppisar@redhat.com> - 0.047-1
- 0.047 bump

* Mon Jan 11 2016 Petr Pisar <ppisar@redhat.com> - 0.046-1
- 0.046 bump

* Mon Jan 04 2016 Petr Pisar <ppisar@redhat.com> - 0.045-1
- 0.045 bump

* Wed Dec 09 2015 Petr Pisar <ppisar@redhat.com> - 0.044-1
- 0.044 bump

* Thu Nov 19 2015 Petr Pisar <ppisar@redhat.com> - 0.043-1
- 0.043 bump

* Mon Oct 12 2015 Petr Pisar <ppisar@redhat.com> - 0.042-1
- 0.042 bump

* Fri Jul 03 2015 Petr Pisar <ppisar@redhat.com> - 0.041-1
- 0.041 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.040-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.040-2
- Perl 5.22 rebuild

* Mon Jun 01 2015 Petr Pisar <ppisar@redhat.com> - 0.040-1
- 0.040 bump

* Fri Apr 03 2015 Petr Pisar <ppisar@redhat.com> - 0.039-1
- 0.039 bump

* Thu Mar 12 2015 Petr Pisar <ppisar@redhat.com> - 0.038-1
- 0.038 bump

* Fri Nov 14 2014 Petr Pisar <ppisar@redhat.com> - 0.037-1
- 0.037 bump

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.036-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.036-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 07 2014 Petr Pisar <ppisar@redhat.com> - 0.036-1
- 0.036 bump

* Tue Nov 19 2013 Petr Pisar <ppisar@redhat.com> - 0.035-1
- 0.035 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.034-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Pisar <ppisar@redhat.com> - 0.034-3
- Perl 5.18 rebuild

* Fri May 24 2013 Petr Pisar <ppisar@redhat.com> - 0.034-2
- Specify all dependencies

* Mon May 13 2013 Petr Pisar <ppisar@redhat.com> - 0.034-1
- 0.034 bump

* Thu Feb 28 2013 Petr Pisar <ppisar@redhat.com> - 0.033-1
- 0.033 bump

* Fri Feb 08 2013 Petr Pisar <ppisar@redhat.com> - 0.032-1
- 0.032 bump

* Mon Feb 04 2013 Petr Pisar <ppisar@redhat.com> - 0.031-1
- 0.031 bump

* Thu Jan 24 2013 Petr Pisar <ppisar@redhat.com> - 0.030-1
- 0.030 bump

* Mon Jan 14 2013 Petr Pisar <ppisar@redhat.com> - 0.029-1
- 0.029 bump

* Tue Aug 21 2012 Petr Pisar <ppisar@redhat.com> - 0.028-5
- Run-require Exporter

* Thu Aug 16 2012 Petr Pisar <ppisar@redhat.com> - 0.028-4
- Specify all dependencies

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.028-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 0.028-2
- Perl 5.16 rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 0.028-1
- 0.028 bump

* Mon Jun 04 2012 Petr Pisar <ppisar@redhat.com> - 0.027-1
- 0.027 bump

* Mon Feb 27 2012 Petr Pisar <ppisar@redhat.com> - 0.026-1
- 0.026 bump

* Mon Jan 23 2012 Petr Pisar <ppisar@redhat.com> - 0.025-1
- 0.025 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.024-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Petr Pisar <ppisar@redhat.com> - 0.024-1
- 0.024 bump

* Fri Dec 09 2011 Petr Pisar <ppisar@redhat.com> - 0.023-1
- 0.023 bump

* Fri Nov 25 2011 Petr Pisar <ppisar@redhat.com> - 0.022-1
- 0.022 bump

* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 0.021-1
- 0.021 bump
- Remove RPM 4.8 filter

* Mon Jul 25 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.020-3
- add new filter

* Wed Jun 29 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.020-2
- Perl mass rebuild

* Mon Apr 04 2011 Petr Pisar <ppisar@redhat.com> - 0.020-1
- 0.020 bump

* Wed Mar 02 2011 Petr Pisar <ppisar@redhat.com> - 0.019-1
- 0.019 bump

* Thu Feb 17 2011 Petr Pisar <ppisar@redhat.com> - 0.018-1
- 0.018 bump
- Remove BuildRoot stuff

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.017-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Petr Pisar <ppisar@redhat.com> - 0.017-1
- 0.017 bump

* Thu Jan 06 2011 Petr Pisar <ppisar@redhat.com> - 0.016-1
- 0.016 bump

* Wed Oct 27 2010 Petr Pisar <ppisar@redhat.com> - 0.015-1
- 0.015 bump

* Mon Oct 18 2010 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Mon Oct 04 2010 Petr Pisar <ppisar@redhat.com> - 0.012-1
- 0.012 bump

* Wed Sep 22 2010 Petr Pisar <ppisar@redhat.com> - 0.011-1
- 0.011 bump
- Remove unversioned Requires

* Thu Sep 16 2010 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Tue Jun  8 2010 Petr Pisar <ppisar@redhat.com> - 0.007-1
- Specfile autogenerated by cpanspec 1.78 (bug #598553).
